import { tap, expect } from '@push.rocks/tapbundle';

import * as rendertron from '../ts/index.js';

let testRendertron: rendertron.Rendertron

tap.test('should start rendertron', async (tools) => {
  testRendertron = new rendertron.Rendertron();
  await testRendertron.start();
});

tap.test('should prerender a page', async () => {
  await testRendertron.prerenderManager.getPrerenderResultForUrl('https://lossless.com')
})

tap.test('stop rendertron', async () => {
  await testRendertron.stop();
});

tap.start();
