// node native scope
import * as path from 'path';

export { path };

// @api.global scope
import * as typedserver from '@api.global/typedserver';

export { typedserver };

// @push.rocks/projectinfo
import * as projectinfo from '@push.rocks/projectinfo';
import * as smartdata from '@push.rocks/smartdata';
import * as smartdelay from '@push.rocks/smartdelay';
import * as smartlog from '@push.rocks/smartlog';
import * as smartpath from '@push.rocks/smartpath';
import * as smartpromise from '@push.rocks/smartpromise';
import * as smartrequest from '@push.rocks/smartrequest';
import * as smartrobots from '@push.rocks/smartrobots';
import * as smartsitemap from '@push.rocks/smartsitemap';
import * as smartssr from '@push.rocks/smartssr';
import * as smarttime from '@push.rocks/smarttime';
import * as taskbuffer from '@push.rocks/taskbuffer';

export {
  projectinfo,
  smartdata,
  smartdelay,
  smartlog,
  smartpath,
  smartpromise,
  smartrequest,
  smartrobots,
  smartsitemap,
  smartssr,
  smarttime,
  taskbuffer,
};
